Subject: Re: bug#58786: 29.0.50; Error with Info-minibuf-history not declared

From: Thierry Volpiatto <[email-masked]>
Date: Wed, 26 Oct 2022 09:00:39 +0000

Thierry Volpiatto <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> Thierry Volpiatto <[email-masked]> writes:
>>
>>>> Do you have a recipe to reproduce this bug, starting from "emacs -Q"?
>>>
>>> I could reproduce from emacs -Q as described previously.
>>
>> I couldn't reproduce it using this recipe:
>>
>> 0. emacs -Q
>> 1. C-h i g
>>
>> Are there any other steps required to reproduce it?
>
> I can't reproduce anymore now.
> I think vanilla Emacs completing-read fails silently when an history var
> is not initialized (correct me if I am wrong) i.e. it behave just like
> if it were not defined.

I also think that this is a bug in itself to not return an error when a
completing-read is used with an history var not initialized (at least it
should fail when hitting M-p).

-- 
Thierry